Page 1 of 4 123 ... LastLast
Results 1 to 10 of 38

Thread: KDE Plasma 6

  1. #1
    Join Date
    Apr 2006
    Beans
    228

    KDE Plasma 6

    I'm thinking about building it from source to give it a shot.

    Is there an easier way/PPA that I may be unaware of?

    I used to build KDE from source repeatedly back in the days I was using Mandrake. I may do it anyway for nostalgia's sake.

    Thanks!

  2. #2
    Join Date
    Feb 2024
    Beans
    1

    Re: KDE Plasma 6

    Nop no ppa of sort yet and it won't even ship with ubuntu 24.04 but I am in progress of builting it on (k)ubuntu 24.04 and this the progress so far:


    1. Qt6 is outdated in ubuntu 24.04 (it has 6.4 while you need 6.5+) The best/easiest option is to either :

    2. Whatever you choose you need to add
      Code:
      export PATH=Path_To_QT/Qt/6.6.2/gcc_64/bin/:"$PATH"
      to basrc or zshrc or whatever shell you are using
    3. Install kde-builder: https://invent.kde.org/sdk/kde-builder#installation (the section named Using virtual environment) I needed to do the following adjustment though
      1. Make sure you have python3.11. Can be easily installed by sudo apt install python3.11-dev (pytho 3.12 or 3.10 didn't work)
      2. other packages you need to install:
        Code:
        sudo apt install build-essential cmake libglib2.0 libdbus-1-dev libavfilter-dev libva-dev libdisplay-info-dev xdotool libcups2-dev sassc
      3. Other packages you may need to install (Not sure since these was installed when i was attempting to build qt6 from source before aborting and just install from installer) mentioned here https://doc.qt.io/qt-6/linux-requirements.html
        Code:
        sudo apt install libfontconfig1-dev libfreetype6-dev libx11-dev libx11-xcb-dev libxext-dev libxfixes-dev libxi-dev libxrender-dev libxcb1-dev libxcb-cursor-dev libxcb-glx0-dev libxcb-keysyms1-dev libxcb-image0-dev libxcb-shm0-dev libxcb-icccm4-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb-shape0-dev libxcb-randr0-dev libxcb-render-util0-dev libxcb-util-dev libxcb-xinerama0-dev libxcb-xkb-dev libxkbcommon-dev libxkbcommon-x11-dev
      4. install pipx (the guide says you can use pip but i have found it had problems and needed to use pipx)
        Code:
        sudo apt install pipx
        pipx install pipenv
        export PATH=~/.local/bin:"$PATH" #add it to bashrc/zshrc
      5. continue with the kde guide but the cmake options they mention need added is only found after the command
        Code:
        kde-builder --generate-config
      6. You may have to do:
        Code:
        git config --global --add url.http://invent.kde.org/.insteadOf kde:
        git config --global --add url.ssh://git@invent.kde.org/.pushInsteadOf kde:
        If you have problems with
        Code:
        kde-builder --install-distro-packages

    4. Build Plasma https://community.kde.org/Get_Involv...th_kde-builder
      Code:
      kde-builder workspace


    To Be Updated
    Last edited by mahmoud-bahaa; March 1st, 2024 at 02:15 AM.

  3. #3
    TenPlus1's Avatar
    TenPlus1 is offline Grande Half-n-Half Cinnamon Ubuntu
    Join Date
    May 2005
    Location
    Scotland, UK
    Beans
    920
    Distro
    Lubuntu

    Re: KDE Plasma 6

    One of the easiest ways to try out Plasma 6 is to grab KDE Neon distro's daily iso which is built on Ubuntu with Plasma 6 included. Then hopefully 24.04 when it's released will include the latest stable release when it comes out in April.

  4. #4
    Join Date
    Apr 2006
    Beans
    228

    Re: KDE Plasma 6

    Oh wow! Thanks for the instructions; you saved me quite a bit of time figuring that all out for myself.

    I'm giving it a quick test now, building kcalc before I kick off the whole workspace build.

  5. #5
    Join Date
    Apr 2006
    Beans
    228

    Re: KDE Plasma 6

    Quote Originally Posted by TenPlus1 View Post
    One of the easiest ways to try out Plasma 6 is to grab KDE Neon distro's daily iso which is built on Ubuntu with Plasma 6 included. Then hopefully 24.04 when it's released will include the latest stable release when it comes out in April.
    No, we test in production with our own desktops like real men!
    Last edited by 3vi1; March 1st, 2024 at 07:28 PM.

  6. #6
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: KDE Plasma 6

    No matter "your preferred method of getting there" once you arrive it's pretty yummy.
    Compiled for Arch A few bugs to be expected, KDE-Neon is very nice, but fewer bugs noticed.
    Code:
    apt policy plasma-desktop
    plasma-desktop:
      Installed: 4:6.0.0+p22.04+vstable+git20240302.0456-0
      Candidate: 4:6.0.0+p22.04+vstable+git20240302.0456-0
      Version table:
     *** 4:6.0.0+p22.04+vstable+git20240302.0456-0 500
            500 http://archive.neon.kde.org/testing jammy/main amd64 Packages
            100 /var/lib/dpkg/status
         4:5.24.7-0ubuntu0.1 500
            500 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages
         4:5.24.4-0ubuntu1 500
            500 http://archive.ubuntu.com/ubuntu jammy/universe amd64 Packages
    It won't hit in the repo's until midway through 24.10, so you have some time to wait.
    Good Luck though keep us real men posted......LOL
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags | System-info | Forum Guide lines | Arch Linux, Debian Unstable, FreeBSD

  7. #7
    Join Date
    Apr 2006
    Beans
    228

    Re: KDE Plasma 6

    I went to compile it last night and had it error-out when it got to appstream (47 packages in...):

    Code:
    [207/276] Compiling C object src/libappstream.so.1.0.3.p/as-validator.c.o
    FAILED: src/libappstream.so.1.0.3.p/as-validator.c.o 
    ccache cc -Isrc/libappstream.so.1.0.3.p -Isrc/ -I../../src/appstream/src -I/usr/include -I. -I../../src/appstream -Isubprojects/libxmlb/src -I../../src/appstream/subprojects/libxmlb/src -Isrc -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/x86_64-linux-gnu -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/libxml2 -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall -Winvalid-pch -std=c11 -O0 -g -Werror=shadow -Werror=empty-body -Werror=strict-prototypes -Werror=missing-prototypes -Werror=implicit-function-declaration -Werror=pointer-arith -Werror=missing-declarations -Werror=return-type -Werror=int-conversion -Werror=incompatible-pointer-types -Werror=misleading-indentation -Werror=missing-include-dirs -Werror=declaration-after-statement -Werror=format-security -Wno-missing-field-initializers -Wno-error=missing-field-initializers -Wno-unused-parameter -Wno-error=unused-parameter -D_POSIX_C_SOURCE=201710L -DAS_COMPILATION -fPIC -pthread -MD -MQ src/libappstream.so.1.0.3.p/as-validator.c.o -MF src/libappstream.so.1.0.3.p/as-validator.c.o.d -o src/libappstream.so.1.0.3.p/as-validator.c.o -c ../../src/appstream/src/as-validator.c
    ../../src/appstream/src/as-validator.c: In function ‘as_validator_check_web_url’:
    ../../src/appstream/src/as-validator.c:411:17: error: format not a string literal and no format arguments [-Werror=format-security]
      411 |                 as_validator_add_issue (validator, node, "url-uses-ftp", url);
          |                 ^~~~~~~~~~~~~~~~~~~~~~
    Are you guys using a specific version of gcc? I was trying with version 13.2.0 & version 14.0.1.

    Kcalc & Dolphin build fine.
    Last edited by 3vi1; March 3rd, 2024 at 06:30 PM. Reason: Added info - tested with 14.0.1

  8. #8
    Join Date
    Aug 2016
    Location
    Wandering
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: KDE Plasma 6

    I'm still reading your new post, but:
    Code:
    gcc --version
    gcc (Ubuntu 11.4.0-1ubuntu1~22.04) 11.4.0
    Copyright (C) 2021 Free Software Foundation, Inc.
    This is free software; see the source for copying conditions.  There is NO
    warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    i wonder if 24.04 is too new to compile plasma6, IJDK.....Kcalc & Dolphin are about the easiest to compile successfully.
    Kioslave and those related are the real Buggers.
    Code:
    apt depends plasma-desktop plasma-session
    plasma-desktop
      Depends: breeze
      Depends: ibus-data
      Depends: kactivitymanagerd
      Depends: kde-cli-tools
      Depends: kf6-baloo (>= 6.0.0+p22.04+vstable+git20240302.0349)
      Depends: kf6-kdeclarative
      Depends: kf6-kded
      Depends: kf6-kio (>= 6.0.0+p22.04+vstable+git20240302.0319)
      Depends: kf6-kirigami2
      Depends: kf6-kwindowsystem (>= 6.0.0+p22.04+vstable+git20240302.0048)
      Depends: kf6-solid (>= 6.0.0+p22.04+vstable+git20240302.0106)
      Depends: libplasma6 (>= 6.0.0+p22.04+vstable+git20240302.0357)
      Depends: oxygen-sounds
      Depends: plasma-activities (>= 6.0.0+p22.04+vstable+git20240223.0938)
      Depends: plasma-integration
      Depends: plasma-thunderbolt
      Depends: plasma-workspace (>= 4:6.0.0+p22.04+vstable+git20240226.0341)
      Depends: polkit-kde-agent-1
      Depends: <python3:any>
        python3
      Depends: qml6-module-org-kde-pipewire
      Depends: qml6-module-qt-labs-folderlistmodel
      Depends: qml6-module-qt-labs-platform
      Depends: qml6-module-qt-labs-settings
      Depends: qml6-module-qtquick-dialogs
      Depends: kaccounts-integration (>= 4:24.02.0+p22.04+vstable+git20240301.0120)
      Depends: kf6-kauth (>= 6.0.0+p22.04+vstable+git20240302.0127)
      Depends: kf6-kbookmarks (>= 6.0.0+p22.04+vstable+git20240302.0222)
      Depends: kf6-kcmutils (>= 6.0.0+p22.04+vstable+git20240302.0336)
      Depends: kf6-kcodecs (>= 6.0.0+p22.04+vstable+git20240302.0102)
      Depends: kf6-kcompletion (>= 6.0.0+p22.04+vstable+git20240302.0127)
      Depends: kf6-kconfig (>= 6.0.0+p22.04+vstable+git20240302.0102)
      Depends: kf6-kconfigwidgets (>= 6.0.0+p22.04+vstable+git20240302.0157)
      Depends: kf6-kcoreaddons (>= 6.0.0+p22.04+vstable+git20240302.0103)
      Depends: kf6-kcrash (>= 6.0.0+p22.04+vstable+git20240221.1736)
      Depends: kf6-kdbusaddons (>= 6.0.0+p22.04+vstable+git20240302.0103)
      Depends: kf6-kglobalaccel (>= 6.0.0+p22.04+vstable+git20240302.0131)
      Depends: kf6-kguiaddons (>= 6.0.0+p22.04+vstable+git20240225.0922)
      Depends: kf6-ki18n (>= 6.0.0+p22.04+vstable+git20240302.0105)
      Depends: kf6-kiconthemes (>= 6.0.0+p22.04+vstable+git20240302.0221)
      Depends: kf6-kitemviews (>= 6.0.0+p22.04+vstable+git20240302.0105)
      Depends: kf6-kjobwidgets (>= 6.0.0+p22.04+vstable+git20240302.0158)
      Depends: kf6-knewstuff (>= 6.0.0+p22.04+vstable+git20240302.0336)
      Depends: kf6-knotifications (>= 6.0.0+p22.04+vstable+git20240302.0128)
      Depends: kf6-knotifyconfig (>= 6.0.0+p22.04+vstable+git20240302.0336)
      Depends: kf6-kpackage (>= 6.0.0+p22.04+vstable+git20240302.0159)
      Depends: kf6-krunner (>= 6.0.0+p22.04+vstable+git20240227.1020)
      Depends: kf6-kservice (>= 6.0.0+p22.04+vstable+git20240302.0159)
      Depends: kf6-ksvg (>= 6.0.0+p22.04+vstable+git20240302.0150)
      Depends: kf6-kwidgetsaddons (>= 6.0.0+p22.04+vstable+git20240302.0045)
      Depends: kf6-kxmlgui (>= 6.0.0+p22.04+vstable+git20240302.0302)
      Depends: kf6-sonnet (>= 6.0.0+p22.04+vstable+git20240302.0106)
      Depends: libaccounts-qt6-1 (>= 1.16.0nicofee20240222+p22.04+vstable+git20240222.1552)
      Depends: libc6 (>= 2.34)
      Depends: libcanberra0 (>= 0.2)
      Depends: libglib2.0-0 (>= 2.37.3)
      Depends: libibus-1.0-5 (>= 1.5.1)
      Depends: libicu70 (>= 70.1-1~)
      Depends: libksysguard (>= 4:6.0.0+p22.04+vstable+git20240302.0429)
      Depends: libpackagekitqt6 (>= 1.1.1)
      Depends: libscim8v5 (>= 1.4)
      Depends: libsdl2-2.0-0 (>= 2.28.5+dfsg)
      Depends: libstdc++6 (>= 5)
      Depends: libwayland-client0 (>= 1.2.0)
      Depends: libx11-6 (>= 2:1.2.99.901)
      Depends: libx11-xcb1 (>= 2:1.7.5)
      Depends: libxcb-keysyms1 (>= 0.4.0)
      Depends: libxcb-record0
      Depends: libxcb-xkb1
      Depends: libxcb1
      Depends: libxcursor1 (>> 1.1.2)
      Depends: libxi6 (>= 2:1.2.99.4)
      Depends: libxkbcommon0 (>= 0.5.0)
      Depends: libxkbfile1 (>= 1:1.1.0)
      Depends: plasma-activities-stats (>= 6.0.0+p22.04+vstable+git20240223.0942)
      Depends: qt6-base (>= 6.6.2)
      Depends: qt6-declarative (>= 6.6.2)
      Depends: qt6-wayland (>= 6.6.2)
      Breaks: neon-settings-2 (<< 0.5)
      Recommends: bluedevil
      Recommends: breeze-gtk-theme
      Recommends: kde-config-gtk-style
      Recommends: kde-config-screenlocker
        kscreenlocker
      Recommends: kde-config-sddm
      Recommends: <kde-style-oxygen-qt6>
      Recommends: kgamma5
        kgamma
      Recommends: khelpcenter
      Recommends: kinfocenter
      Recommends: kio-extras
      Recommends: kmenuedit
      Recommends: kscreen
      Recommends: ksshaskpass
     |Recommends: kwin-wayland
      Recommends: kwin-x11
      Recommends: kwrited
      Recommends: libpam-kwallet-common
      Recommends: plasma-discover
      Recommends: plasma-pa
      Recommends: powerdevil
      Recommends: systemsettings
      Replaces: kde-config-touchpad
        plasma-desktop
      Replaces: neon-settings-2 (<< 0.5)
      Replaces: plasma-desktop-data
        plasma-desktop
      Replaces: user-manager
        plasma-desktop
    Kwayland is very nice, bi-directional with nVidia.
    Code:
    inxi -G |grep wayland
      Display: wayland server: X.org v: 1.21.1.4 with: Xwayland v: 23.2.4
        compositor: kwin_wayland driver: X: loaded: amdgpu,ati,nvidia
    Last edited by 1fallen; March 3rd, 2024 at 10:11 PM. Reason: spelling
    With realization of one's own potential and self-confidence in one's ability, one can build a better world.
    Dalai Lama>>
    Code Tags | System-info | Forum Guide lines | Arch Linux, Debian Unstable, FreeBSD

  9. #9
    Join Date
    Apr 2006
    Beans
    228

    Re: KDE Plasma 6

    I can give it a try with gcc-11. I'll give it a shot and do a --refresh-build in a bit, thanks!

    Kio and the other modules (except the final workspace one) all seemed to be compiling fine. I had tested using --resume-after to make sure everything else was working.

    EDIT: I kicked it off, and I was correct - it was the rule-checking in newer GCC versions. Appstream compiles fine when using gcc-11 like you suggested. Thanks again!
    Last edited by 3vi1; March 3rd, 2024 at 10:12 PM. Reason: EDIT

  10. #10
    Join Date
    Apr 2006
    Beans
    228

    Re: KDE Plasma 6

    Found another issue which I think by be a bug in the kde-builder process:

    When it gets to compiling the plasma-workspace, it tries to link with /usr/lib/x86_64-linux-gnu/libQt6Core5Compat.so.6 in the main system libraries instead of the path location where you pointed it to Qt 6.6.2 (/opt/Qt/6.6.2/gcc_64/lib/libQt6Core5Compat.so.6.6.2 on my system). So, if like me you have Qt6.4 installed from the Ubuntu 24.04 repos... it's going to fail due to some missing 6.6.2 types during the link.

    I got around it by copying the newer libQt6Core5Compat.so.6.6.2 dll to the main /usr/lib/x86_64-linux-gnu/ path and replacing the link for libQt6Core5Compat.so.6 to point to it. Maybe there's a Qt env variable we could set that would fix this instead?

    Waiting for the remaining 40+ to compile now....

Page 1 of 4 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •